Configuration
Update Alert
Update a specific preset alert.
PUT
/
v1
/
config
/
presetalert
/
{presetId}
Update Alert
curl --request PUT \
--url https://api.mezmo.com/v1/config/presetalert/{presetId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"channels": [
{
"integration": "<string>",
"emails": [
"<string>"
],
"url": "<string>",
"key": "<string>",
"triggerlimit": "<string>",
"triggerinterval": "<string>",
"immediate": true,
"terminal": true,
"operator": "<string>",
"timezone": "America/Chicago, EST, Etc/UTC, etc...",
"headers": {
"timestamp": "<string>"
},
"bodyTemplate": {
"timestamp": "<string>"
},
"autoresolve": true,
"autoresolveinterval": "<string>",
"autoresolvelimit": "<string>"
}
]
}
'import requests
url = "https://api.mezmo.com/v1/config/presetalert/{presetId}"
payload = {
"name": "<string>",
"channels": [
{
"integration": "<string>",
"emails": ["<string>"],
"url": "<string>",
"key": "<string>",
"triggerlimit": "<string>",
"triggerinterval": "<string>",
"immediate": True,
"terminal": True,
"operator": "<string>",
"timezone": "America/Chicago, EST, Etc/UTC, etc...",
"headers": { "timestamp": "<string>" },
"bodyTemplate": { "timestamp": "<string>" },
"autoresolve": True,
"autoresolveinterval": "<string>",
"autoresolvelimit": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
channels: [
{
integration: '<string>',
emails: ['<string>'],
url: '<string>',
key: '<string>',
triggerlimit: '<string>',
triggerinterval: '<string>',
immediate: true,
terminal: true,
operator: '<string>',
timezone: 'America/Chicago, EST, Etc/UTC, etc...',
headers: {timestamp: '<string>'},
bodyTemplate: {timestamp: '<string>'},
autoresolve: true,
autoresolveinterval: '<string>',
autoresolvelimit: '<string>'
}
]
})
};
fetch('https://api.mezmo.com/v1/config/presetalert/{presetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}This response has no body data.Authorizations
AccessTokenservicekeyAuth
This key is used for all apis with the exception of ingest. You can obtain it following
these instructions and placing
the key in the header of your call in the format of Authorization: Token {accesstoken}
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
Path Parameters
ID of a preset alert.
Body
application/json
Request parameters
Response
OK
⌘I
Update Alert

